package com.platform.modules.ks.entity;

import java.io.Serializable;
import java.util.Date;

import org.hibernate.validator.constraints.NotBlank;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
/**
 * 快手检索记录表
 * 
 * @author weiyan
 * @email 
 * @date 2018-07-24 11:51:46
 */
 @TableName("plm_video_search_log")
public class PlmVideoSearchLogEntity implements Serializable {
	private static final long serialVersionUID = 1L;
	
	//
	@NotBlank(message = "id不能为空")
	@TableId
	private Integer id;
	//请求参数
	@NotBlank(message = "paramlist不能为空")
	private String paramlist;
	//参数签名
	@NotBlank(message = "signature不能为空")
	private String signature;
	//返回结果
	@NotBlank(message = "resultJson不能为空")
	private String resultJson;
	//操作日期
	@NotBlank(message = "createDate不能为空")
	private Date createDate;
	//操作人
	@NotBlank(message = "createUser不能为空")
	private long createUser;

	/**
	 * 设置：
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：请求参数
	 */
	public void setParamlist(String paramlist) {
		this.paramlist = paramlist;
	}
	/**
	 * 获取：请求参数
	 */
	public String getParamlist() {
		return paramlist;
	}
	/**
	 * 设置：参数签名
	 */
	public void setSignature(String signature) {
		this.signature = signature;
	}
	/**
	 * 获取：参数签名
	 */
	public String getSignature() {
		return signature;
	}
	/**
	 * 设置：返回结果
	 */
	public void setResultJson(String resultJson) {
		this.resultJson = resultJson;
	}
	/**
	 * 获取：返回结果
	 */
	public String getResultJson() {
		return resultJson;
	}
	/**
	 * 设置：操作日期
	 */
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	/**
	 * 获取：操作日期
	 */
	public Date getCreateDate() {
		return createDate;
	}
	/**
	 * 设置：操作人
	 */
	public void setCreateUser(long createUser) {
		this.createUser = createUser;
	}
	/**
	 * 获取：操作人
	 */
	public long getCreateUser() {
		return createUser;
	}
}
